libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
priv_bind Struct Reference

## Data Fields
struct osmo_netdev * | netdev
char | netif [IFNAMSIZ]
struct osmo_fr_link * | link
int | ifindex
bool | if_running
struct {
struct osmo_fd ofd
struct msgb * lmi_msg
struct llist_head list
struct osmo_timer_list timer
uint32_t retry_us
} | backlog
struct osmo_fd | fd
struct osmo_sockaddr | addr
uint16_t | dlci
int | dscp
struct osmo_io_fd * | iofd
uint8_t | priority

## Field Documentation

## ◆ addr

struct osmo_sockaddr priv_bind::addr

Referenced by dump_vty(), gprs_ns2_frgre_bind(), gprs_ns2_ip_bind(), gprs_ns2_ip_bind_sockaddr(), gprs_ns2_ip_vc_equal(), and gprs_ns2_ip_vc_local().

## ◆

struct { ... } priv_bind::backlog

Referenced by backlog_enqueue_or_free(), enqueue_at_head(), enqueue_at_tail(), fr_backlog_timer_cb(), fr_netif_write_one(), fr_tx_cb(), free_bind(), gprs_n2_fr_ifupdown_ind_cb(), and gprs_ns2_fr_bind().

## ◆ dlci

uint16_t priv_bind::dlci

Referenced by backlog_enqueue_or_free(), frgre_vc_sendmsg(), and gprs_ns2_fr_connect().

## ◆ dscp

int priv_bind::dscp

Referenced by dump_vty(), gprs_ns2_frgre_bind(), gprs_ns2_ip_bind(), and gprs_ns2_ip_bind_set_dscp().

## ◆ fd

struct osmo_fd priv_bind::fd

Referenced by free_bind(), frgre_sendmsg(), gprs_ns2_frgre_bind(), handle_rx_gre_ipv4(), and handle_rx_gre_ipv6().

## ◆ if_running

bool priv_bind::if_running

Referenced by backlog_enqueue_or_free(), dump_vty(), gprs_n2_fr_ifupdown_ind_cb(), and gprs_n2_fr_mtu_chg_cb().

## ◆ ifindex

int priv_bind::ifindex

Referenced by fr_netif_ofd_cb(), and gprs_ns2_fr_bind().

## ◆ iofd

struct osmo_io_fd* priv_bind::iofd

Referenced by free_bind(), gprs_ns2_ip_bind(), gprs_ns2_ip_bind_set_dscp(), gprs_ns2_ip_bind_set_priority(), ns2_ip_set_txqueue_max_length(), and nsip_sendmsg().

## ◆ link

struct osmo_fr_link* priv_bind::link

Referenced by dump_vty(), fr_alloc_vc(), fr_netif_ofd_cb(), free_bind(), gprs_ns2_fr_bind(), and gprs_ns2_fr_bind_role().

## ◆ list

struct llist_head priv_bind::list

Referenced by enqueue_at_head(), enqueue_at_tail(), fr_backlog_timer_cb(), fr_tx_cb(), free_bind(), gprs_n2_fr_ifupdown_ind_cb(), and gprs_ns2_fr_bind().

## ◆ lmi_msg

struct msgb* priv_bind::lmi_msg

Referenced by backlog_enqueue_or_free(), fr_backlog_timer_cb(), free_bind(), and gprs_n2_fr_ifupdown_ind_cb().

## ◆ netdev

struct osmo_netdev* priv_bind::netdev

Referenced by free_bind(), and gprs_ns2_fr_bind().

## ◆ netif

char priv_bind::netif[IFNAMSIZ]

Referenced by dump_vty(), gprs_n2_fr_ifupdown_ind_cb(), gprs_ns2_fr_bind(), gprs_ns2_fr_bind_netif(), and gprs_ns2_fr_connect().

## ◆ ofd

struct osmo_fd priv_bind::ofd

Referenced by fr_netif_write_one(), free_bind(), and gprs_ns2_fr_bind().

## ◆ priority

uint8_t priv_bind::priority

Referenced by dump_vty(), and gprs_ns2_ip_bind_set_priority().

## ◆ retry_us

uint32_t priv_bind::retry_us

Referenced by enqueue_at_head(), enqueue_at_tail(), fr_backlog_timer_cb(), fr_netif_write_one(), gprs_n2_fr_ifupdown_ind_cb(), and gprs_ns2_fr_bind().

## ◆ timer

struct osmo_timer_list priv_bind::timer

Referenced by enqueue_at_head(), enqueue_at_tail(), fr_backlog_timer_cb(), free_bind(), gprs_n2_fr_ifupdown_ind_cb(), and gprs_ns2_fr_bind().

The documentation for this struct was generated from the following files:

- src/gb/gprs_ns2_fr.c
- src/gb/gprs_ns2_frgre.c
- src/gb/gprs_ns2_udp.c